module BcaParser
  class Account
    attr_reader :name, :id, :balance, :transactions

    def initialize(name, id=0, balance=0)
      @name = name
      @id =  id
      @balance = {}
      @transactions = []
    end

    def add_transaction(transaction)
      @transactions << transaction
    end

    def print_balance
      puts "\nInformasi Saldo"
      puts "#{Time.now}"
      puts "------------------"
      puts "Nomor Rekening: #{balance[:account_number]}"
      puts "Total Saldo: #{balance[:total]}"
    end

    def print_transactions
      puts "\nTransaksi Mutasi Harian".center(120)
      @transactions.each do |transaction|
        next if transaction[:date].nil?  
        puts "\nTransaksi"
        puts "Tanggal: #{transaction[:date]}"
        puts "Info: #{transaction[:info]}"
        puts "Jumlah: #{transaction[:amount]}"
        puts "Jenis Mutasi: #{transaction[:type]}"
        puts "Saldo: #{transaction[:balance]}"
      end
    end
  end
end